Application: gvSIG desktop - gvSIG bugs #4052
When a shp file is edited, and we rename a field with more than 10 characters, it's not saved
01/26/2016 11:52 AM - Mario Carrera

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez

Category: Vector editing

Target version: 2.3.0-2433 (rev. org.gvsig.desktop-2.0.139, NOT USABLE)

Severity: Major Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2315 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

When we edit a shp file, if we rename a field with more than 10 characters, the layer is not saved.

It works good if we are creating a new field (a previous bug fixed), but not when renaming an existing one.

Associated revisions

Revision 42843 - 06/24/2016 10:17 AM - Daniel Martinez

refs #4052 When a shp file is edited, and we rename a field with more than 10 characters, it's not saved Validation added questioning
StoreProviderFactory about field max length

History

#1 - 01/26/2016 11:59 AM - Mario Carrera
- Assignee set to Daniel Martinez

#2 - 06/20/2016 01:19 PM - Joaquin del Cerro Murciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#3 - 06/24/2016 08:07 AM - Daniel Martinez

- Status changed from New to In progress
#4 - 06/24/2016 10:50 AM - Daniel Martinez
- % Done changed from 0 to 100

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2433 (rev. org.gvsig.desktop-2.0.139, NOT USABLE)
- Status changed from In progress to Fixed

Now an error is shown in case it is modified beyond maximum lenght.

#5 - 07/25/2016 10:48 AM - Alvaro Anguix

- Status changed from Fixed to Closed
